=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
Package: rkward
Type: Package
Title: Provides functions related to the RKWard GUI
Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de> and
    the RKWard Team <rkward-devel@kde.org>
Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
Depends:
    R (>= 2.9.0),methods
Description: This package contains functions which are useful in combination
    with the RKWard GUI. Many of these functions only needed for the internal
    communication between RKWard and R, but some are also useful in user
    scripts.
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
URL: http://rkward.kde.org
Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
    email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
    person(given="RKWard-devel", family="mailing list",
    email="rkward-devel@kde.org", role=c("cre","ctb")))
Version: 0.6.5
Date: 2016-03-24
Collate:
    'base_overrides.R'
    'internal.R'
    'internal_debugger.R'
    'internal_graphics.R'
    'internal_help.R'
    'public_graphics.R'
    'rk.KDE_GUI-functions.R'
    'rk.demo.R'
    'rk.edit-functions.R'
    'rk.filename-functions.R'
    'rk.label-functions.R'
    'rk.plugin-functions.R'
    'rk.print-functions.R'
    'rk.replace.function.R'
    'rk.sessionInfo.R'
    'rk.sync-functions.R'
    'rk.utility-functions.R'
    'rk.workspace-functions.R'
    'rkward-package.R'
    'ver.R'
RoxygenNote: 5.0.1
