=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -18,8 +18,8 @@
     email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
     person(given="RKWard-devel", family="mailing list",
     email="rkward-devel@kde.org", role=c("cre","ctb")))
-Version: 0.6.5
-Date: 2016-03-24
+Version: 0.7.0
+Date: 2018-04-13
 Collate:
     'base_overrides.R'
     'internal.R'
