=== debian/changelog ===
rkward (0.7.0-1) unstable; urgency=low
  * New upstream release
  * The divergently licenced qwinhost-files are no longer part of this release,
    simplifying copyright
  * Package now based on kf5-libraries, instead of KDE 4
    closes: #531086
  * Add dependency on r-api-3.4 to ease handling of future non-compatible
    changes in R
    closes: #877283
  * Use dh_auto_configure for basic setup
  * Remove debian/rkward.menu, as package provides a FreeDesktop entry
  * Update VCS-browser, watch, and some other urls
  * Update standards version to 4.1.4
  * Add lintian overrides for r-data-without-readme-source and
    desktop-command-not-in-package
  * Make rkward binary package depend on identical version rkward-data package
  * Increase debhelper compat level to 11
  * Use SOURCE_DATE_EPOCH for build timestamp, instead of parsing changelog

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Sat, 14 Apr 2018 13:00:00 +0100
