=== debian/control ===
Source: rkward
Section: math
Priority: optional
Maintainer: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
Build-Depends: cmake,
               extra-cmake-modules,
               pkg-kde-tools | pkg-kf5-tools,
               debhelper (>= 11.0.0),
               libkf5webkit-dev,
               libkf5texteditor-dev,
               kdoctools-dev,
               r-base-dev (>= 3.0.0)
Standards-Version: 4.1.4
Homepage: http://rkward.kde.org
Vcs-Browser: https://cgit.kde.org/rkward.git/tree/debian-official
Vcs-Git: https://anongit.kde.org/rkward.git

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}), ${misc:Depends}, ${rvers}, ${rapivers}, ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Breaks: rkward (<< 0.6.5~rc1-1~)
Replaces: rkward (<< 0.6.5~rc1-1~)
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.
