## rkward 0.7.0b

=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,11 @@
 			DEPENDS ${_poFile})
 		LIST(APPEND active_translations ${_stampFile})
 
-		IF(EXISTS "${_gmoFile}")
-			IF(${_poid} STREQUAL "rkward")
-				INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
-			ELSE(${_poid} STREQUAL "rkward")
-				INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
-			ENDIF(${_poid} STREQUAL "rkward")
-		ENDIF(EXISTS "${_gmoFile}")
+		IF(${_poid} STREQUAL "rkward")
+			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
+		ELSE(${_poid} STREQUAL "rkward")
+			INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
+		ENDIF(${_poid} STREQUAL "rkward")
 	ENDFOREACH(_poFile ${_PO_FILES})
 ENDMACRO(RKHandlePO)
