=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -19,7 +19,7 @@
     person(given="RKWard-devel", family="mailing list",
     email="rkward-devel@kde.org", role=c("cre","ctb")))
 Version: 0.7.0
-Date: 2018-04-13
+Date: 2018-04-16
 Collate:
     'base_overrides.R'
     'internal.R'
