=== debian/changelog ===
rkward (0.7.0b-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:00 +0100

rkward (0.7.0b-2) unstable; urgency=medium

  * Add missing includes that cause FTBFS. Closes: 948939
  * Add upstream contact to debian/copyright
  * Adjust homepage url to use https:// instead of http://
  * Bump standards version to 4.4.1 (no changes needed)

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Fri, 17 Jan 2020 20:30:00 +0100

rkward (0.7.0b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix shell error in debian/rules. Closes: #911710

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 28 Oct 2018 12:14:47 +0100

rkward (0.7.0b-1) unstable; urgency=low
  * New upstream release
    Includes missing translation files in rkward-data
  * Replace kdoctools-dev dependency with libkf5doctools-dev
    closes: #895875
  * Depend on r-api-3.5 when built against r-base-core >= 3.5.0
  * Do not depend on r-api-3.4 when built against r-base-core < 3.4.0
  * Remove explicit specification of C compiler
    closes: #900591

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Sat, 02 Jun 2018 09:00:00 +0100
