=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper (>= 11.0.0),
                libkf5webkit-dev,
                libkf5texteditor-dev,
-               kdoctools-dev,
+               libkf5doctools-dev,
                r-base-dev (>= 3.0.0)
-Standards-Version: 4.1.4
-Homepage: http://rkward.kde.org
+Standards-Version: 4.4.1
+Homepage: https://rkward.kde.org
 Vcs-Browser: https://cgit.kde.org/rkward.git/tree/debian-official
 Vcs-Git: https://anongit.kde.org/rkward.git
