=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,7 @@
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR)
-	# Some installations of R need a specific version of the compiler(s)
-	# R CMD config provides info on which compiler to use
-	CC="`/usr/bin/R CMD config CC`" \
-	CXX="`/usr/bin/R CMD config CXX`" \
-	F77="`/usr/bin/R CMD config F77`" \
+
 	dh_auto_configure '--buildsystem=kf5' --parallel -- \
 		-DR_EXECUTABLE=/usr/bin/R/ \
 		-DR_LIBDIR=/usr/lib/R/site-library/ \
@@ -48,9 +44,13 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	# unfortunately, the r-base-core dependency can not be found by dh_shlibdeps, so we need to get at the version manually
-	# NOTE: This "if" is currently always true (see build-deps), but left here, for convenience, in case we get into trouble
-	# with binary incompatibility (esp. foward incompatibility) again, in the future.
-	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "0" ] ; then \
+	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "5" ] ; then \
 		echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ; \
+		echo "rapivers=r-api-3.5" >> $(CURDIR)/debian/rkward.substvars ; \
+	else \
+		if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "4" ] ; then \
+		echo "rvers=r-base-core (>= $(RVERS)), r-base-core (<< 3.5.0)" >> $(CURDIR)/debian/rkward.substvars ; \
 		echo "rapivers=r-api-3.4" >> $(CURDIR)/debian/rkward.substvars ; \
-	fi
+	else \
+		echo "rvers=r-base-core (>= $(RVERS)), r-base-core (<< 3.5.0)" >> $(CURDIR)/debian/rkward.substvars ; \
+	fi; fi
