## rkward 0.7.1b

=== debian/changelog ===
rkward (0.7.1b-2) unstable; urgency=medium

  * Team upload.
  * Update the build dependencies according to the upstream build system:
    - drop the pkg-kf5-tools alternative, as it never existed
    - add the version required for cmake, and the KF5 packages
    - explicitly add gettext, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5i18n-dev, libkf5notifications-dev,
      libkf5parts-dev, libkf5xmlgui-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, libqt5webkit5-dev, qtbase5-dev, and qtscript5-dev
  * Move the application desktop file, and the appdata XML file from
    rkward-data to rkward, as they must be together with the executable
    they refer to
    - add proper breaks/replaces
    - remove no more needed lintian override
  * Remove rkward-data.manpages, as the man page is already installed using
    dh_install.
  * Do not install the upstream TODO as documentation, as it is not useful for
    users.
  * Stop forcing debian/build as local build directory, as there is no need to
    have a fixed name; use the default one instead.
  * Use the kf5 dh addon for the build
    - remove the need for the manual dh_compress handling
  * Remove the CFLAGS/CXXFLAGS handling, as it is done by the cmake buildsystem
    in debhelper compatibility >= 9.
  * Stop passing --parallel to dh_auto_configure, as it is the default with
    debhelper compatibility >= 10.
  * Drop all the pre-Stretch replaces/breaks.
  * Pass -DNO_R_XML=1 to cmake to not install the r.xml highlight file for the
    syntax-highlighting framework, as the syntax-highlighting already provides
    it
    - drop the old removal hack (which got broken lately) for it

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jun 2020 13:05:22 +0200

rkward (0.7.1b-1) unstable; urgency=medium

  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 21:02:54 +0200

rkward (0.7.1-2) unstable; urgency=medium

  * Update VCS fields to target the Debian KDE Extras Team namespace.
  * Rules-Requires-Root: no (routine-update)
  * Simplify dependency of the r-api-*

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 00:03:57 +0200

rkward (0.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove d/p/fix_includes.diff included upstream.
  * Switch Maintainer to Debian KDE Extras Team,
     add Thomas Friedrichsmeier and myself to Uploaders.
  * Add license of rkward/org.kde.rkward.appdata.xml in d/copyright.
  * Bump year to 2020 in d/changelog.
  * Remove trailing whitespace in d/changelog.
  * Switch to debhelper-compat (= 12).
  * Remove an unused override in rkward-data.
  * Bump standards version to 4.5.0 (no changes needed).
  * Remove the override about .Rdata and document it in d/README.source.
  * Fix broken links to documentation for dh_compress.
  * Remove DR_LIBDIR in dh_auto_configure, not used anymore.
  * Add debian/upstream/metadata.
  * Add debian/salsa-ci.yml.
  * Update VCS fields to salsa.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2020 14:43:17 +0200
