=== debian/control ===
Source: rkward
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               extra-cmake-modules,
               gettext,
               pkg-kde-tools,
               debhelper-compat (= 12),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.4.0~),
               libkf5crash-dev (>= 5.4.0~),
               libkf5doctools-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5notifications-dev (>= 5.4.0~),
               libkf5parts-dev (>= 5.4.0~),
               libkf5texteditor-dev (>= 5.4.0~),
               libkf5xmlgui-dev (>= 5.4.0~),
               libkf5webkit-dev (>= 5.4.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libkf5windowsystem-dev (>= 5.4.0~),
               libqt5webkit5-dev (>= 5.2.0~),
               qtbase5-dev (>= 5.2.0~),
               qtscript5-dev (>= 5.2.0~),
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
Homepage: https://rkward.kde.org
Rules-Requires-Root: no

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rvers},
         ${rapivers},
         ${shlibs:Depends}
Recommends: r-base-html
Breaks: rkward-data (<< 0.7.1b-2~)
Replaces: rkward-data (<< 0.7.1b-2~)
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.
