=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# We need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RAPI = $(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

# easier typing
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure '--buildsystem=kf5' -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DNO_R_XML=1 \
		-DCMAKE_SKIP_RPATH=YES \
		-DBUILD_TIMESTAMP="$(shell date --utc --date='@$(SOURCE_DATE_EPOCH)')"

override_dh_auto_install:
	dh_auto_install

	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING
	# remove x-test locale
	rm -rvf $(DESTDIR)/usr/share/rkward/po/x-test $(DESTDIR)/usr/share/locale/x-test

override_dh_shlibdeps:
	dh_shlibdeps
	echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ;
	echo "rapivers=$(RAPI)" >> $(CURDIR)/debian/rkward.substvars ;
